+ Reply
Page 1 of 2 12 LastLast
Results 1 to 20 of 22

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Update iPhone 4 from 5.1.1 to 6.0.1

is a discussion within the

General

forums, a part of the

Jailbreak / Downgrading / Upgrading

section;
I have an iPhone 4 currently on 5.1.1. I want to update to 6.0.1 and jailbreak it. (I am not upgrading to 6.1.2 because of lock screen security issue). According
...
  1. #1
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default Update iPhone 4 from 5.1.1 to 6.0.1
    I have an iPhone 4 currently on 5.1.1. I want to update to 6.0.1 and jailbreak it. (I am not upgrading to 6.1.2 because of lock screen security issue).

    According to Cydia, Cydia has my SHSH blobs saved...

    What do I need to do to update my iPhone to 6.0.1 while preserving baseband as well as jailbreaking it?

  2. #2
    My iPhone is a Part of Me bbrks's Avatar
    Join Date
    May 2012
    Posts
    903
    Thanks
    162
    Thanked 177 Times in 134 Posts

    Use the latest Snowbreeze to make custom 6.0.1, provided of course that your SHSH blobs for 6.0.1 are healthy, but Snowbreeze will inform you if the custom IPSW you build is OK for restore.

  3. #3
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,903
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Here's a guide.

    Downgrade iOS 6.0.1 To 5.1.1 [How-To Tutorial] | Redmond Pie

    It's meant for downgrading, but the concept is the same. Just replace the terms in the article of "5.1.1" to "6.0.1" for yourself. The article's link to the Redsn0w download is not up to date for the latest version - you can get the newest version here:

    Dev-Team Blog

    You can find the 6.0.1 stock ipsw if you don't already have it here on MMi in the Downloads section.

  4. #4
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Thanks! A lot simpler than I thought. I posted just to make sure I don't end up doing anything wrong...

    Should I stick with iOS 6.0.1 or go to 6.1.2? Is there a patch in Cydia for the lock screen security hole?

  5. #5
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,903
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I don't see a large difference between 6.0.1 and 6.1.x. Typically, these bugs don't have fixes from Cydia - my guess is there is not (somebody correct me if I'm wrong). If it were me I'd take it to 6.0.1 for now.

  6. #6
    iPhoneaholic
    Join Date
    Apr 2009
    Posts
    307
    Thanks
    0
    Thanked 29 Times in 29 Posts

    You can't upgrade to 6.0.1 using SHSH blob save by Cydia.... Below is a full article explaining the problem in detail. Note that you can upgrade to iOS 6.x.x if you saved SHSHs using iFaith. If you didn't, you need to stay on 5.1.1 unless you don't mind tethered jailbreak on 6.1.3...


    Cydia introduces new TSS Center, Saurik explains what happened to iOS 6 TSS data
    Last edited by hcgaloi; 04-18-2013 at 12:09 PM.

  7. #7
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    I had 6.0.1 SHSH blobs saved using Tinyumbrella... In Redsn0w, I used the "Verify" feature, to verify my 6.0.1 blob. Redsn0w says my blob and APTickets are valid. However, when I try to restore 6.0.1 using those blobs, the restore fails. It gets suck on "Waiting for device..."

  8. #8
    iPhoneaholic
    Join Date
    Apr 2009
    Posts
    307
    Thanks
    0
    Thanked 29 Times in 29 Posts

    your iphone is now stuck in soft DFU mode due to restoring using bad iOS 6.x.x SHSH from Cydia. You can kick it out of soft DFU mode using Just Boot feature in Redsn0w. However, your iPhone is crippled, so the best is to downgrade iOS 5 if you have SHSHs. Otherwise, a restore to 6.1.3 and live with tethered jailbreak... Good luck

  9. #9
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Why does Redsn0w say my SHSH/Apticket for 6.0.1 is valid but when I try to restore it doesn't work??

    If I update to 6.1.3, will I be able to downgrade to 5.1.1 in future if I want to? Does the "semi-teather" feature still exist?

  10. #10
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,667
    Thanks
    40
    Thanked 569 Times in 520 Posts

    Quote Originally Posted by Zythyr View Post
    Why does Redsn0w say my SHSH/Apticket for 6.0.1 is valid but when I try to restore it doesn't work??

    If I update to 6.1.3, will I be able to downgrade to 5.1.1 in future if I want to? Does the "semi-teather" feature still exist?
    My best guess is: the validation algorithm redsn0w uses to detect valid SHSH blobs is very similar (or identical) to the one Cydia used to fetch SHSH blobs--the blobs requested were supposed to be (and coded based off of the assumption they are) valid--they aren't. Call it a really insidious bug.

    You can only downgrade to 5.1.1 if you've got valid SHSH blobs for it. Due to the nature of the iPhone 4, as long as you've got the valid blobs, you'll be able to downgrade (particularly if you use a custom IPSW). Since you've already got iOS 5.1.1 installed on your device, I'd strongly advise you use iFaith or redsn0w to "fetch" the SHSH blobs off of your device right now (known to be valid, since you're using them) and upload those to Cydia and/or save them locally.

  11. #11
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Are SHSH blobs saved by TinyUmbrella also invalid just like Cydia for iOS 6 to 6.1.2?

  12. #12
    My iPhone is a Part of Me bbrks's Avatar
    Join Date
    May 2012
    Posts
    903
    Thanks
    162
    Thanked 177 Times in 134 Posts

    If you have saved those with TU, when 6.1.2 was signed by Apple, yes, otherwise no.

  13. #13
    2k1
    2k1 is offline
    Sug Luv Super Moderator 2k1's Avatar
    Join Date
    Jan 2011
    Location
    Hammond Louisiana
    Posts
    34,050
    Thanks
    1,814
    Thanked 7,061 Times in 4,203 Posts

    Seems confused. The blobs are good if ya saved with TU

  14. #14
    My iPhone is a Part of Me bbrks's Avatar
    Join Date
    May 2012
    Posts
    903
    Thanks
    162
    Thanked 177 Times in 134 Posts

    2K1, lets elaborate, when 6.1.2 was actual IOS, saving SHSH with TU to the PC was OK, but those saved on Cydia no......or?

  15. #15
    2k1
    2k1 is offline
    Sug Luv Super Moderator 2k1's Avatar
    Join Date
    Jan 2011
    Location
    Hammond Louisiana
    Posts
    34,050
    Thanks
    1,814
    Thanked 7,061 Times in 4,203 Posts

    That's correct how ya had it worded seemed confusing. All good thou

  16. #16
    My iPhone is a Part of Me bbrks's Avatar
    Join Date
    May 2012
    Posts
    903
    Thanks
    162
    Thanked 177 Times in 134 Posts

    Sorry, bad English

  17. #17
    2k1
    2k1 is offline
    Sug Luv Super Moderator 2k1's Avatar
    Join Date
    Jan 2011
    Location
    Hammond Louisiana
    Posts
    34,050
    Thanks
    1,814
    Thanked 7,061 Times in 4,203 Posts

    No biggie we all on the same page now

  18. #18
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    If I have my SHSH blobs saved using TinyUmbrella, Is there anyway to check the blobs for iOS 6.0.1, 6.1.1, and 6.1.2 are valid can be used to restore?

    I used to redsn0w to see if my 6.0.1 blobs were valid or not, redsn0w says "APTicket present and valid". I used the Stitch feature to personalize my IPSW, then used redsn0w in baseband preservation mode to restore. Restore gets stuck on Apple logo and redsn0w says "waiting for device".

    Should I use iTunes instead to restore my personalized IPSW instead of redsn0w?
    Last edited by Zythyr; 04-24-2013 at 09:53 AM.

  19. #19
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,921
    Thanks
    76
    Thanked 2,751 Times in 2,641 Posts

    You can use the stitched no bb Fw to restore thru itunes if your blob is valid.

  20. #20
    iPhone? More like MyPhone
    Join Date
    Nov 2009
    Posts
    121
    Thanks
    0
    Thanked 0 Times in 0 Posts

    I used iFaith to validate my SHSH blobs that I saved using Tiny Umbrella. Looks like they are invalid because Tiny Umbrella grabbed them from Cydia

    I am going to upgrade to iOS 6.1.3 with tethered jailbreak . Before I do this, I have few questions: 1) Does the semi-tether feature still exist? Can I install semi-tether on 6.1.3? 2) How likely is it that in the future, there will be untethered jailbreak for 6.1.3 on iPhone 4?


Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts